<template>
	<view>
		<view class="single_Phone">
			<span style="color:red;margin-right:5rpx;" v-show="CompData.IsRequire">*</span>{{CompData.Name}}
		</view>
		<input class="single_Input" @input='getvalue' v-model="CompData.TextValue" :maxlength="CompData.WordsLength==0?-1:CompData.WordsLength" :placeholder="`请输入${CompData.Name}`" />
		<view class="single_Remark" v-if="CompData.Remark">{{CompData.Remark}}</view>
	</view>
</template>

<script>
	export default {
		props: ["CompData",'index'],
		data() {
			return {

			}
		},
		created() {},
		mounted() {

		},
		onLoad() {},
		methods: {
			getvalue(){
				
				this.$emit('success',this.CompData,this.index)
			}
		}
	}
</script>
